org.springframework.data.web

## Annotation Type JsonPath

    @Documented
     @Retention(value=RUNTIME)
     @Target(value={METHOD,ANNOTATION_TYPE})
    public @interface JsonPath

Annotation to explicitly declare a JSON Path expression on a projection interface.

Since:
  1.13
Author:
  Oliver Gierke

### Required Element Summary

Required Elements
`String[]` `value` The JSON Path expressions to be evaluated when the annotated method is invoked.

### Element Detail

#### value

    public abstract String[] value

The JSON Path expressions to be evaluated when the annotated method is invoked. If multiple ones are defined, the value of the first one actually present in the payload will be returned.

Returns: